public class Broker
{
	public static void main(String[] args){
		Asset[] portofolio = new Asset[4];
		portofolio[0] = new Cash(20000);
		portofolio[1] = new Stock("GOOG", 100, 800);
		portofolio[2] = new MutualFund("Fund", 10.5, 54.3);
		portofolio[3] = new DividendStock("APPL",200, 900);
		
		Stock goog = (Stock)portofolio[1];
		goog.setCurrentPrice(900);
		MutualFund fund = (MutualFund)portofolio[2];
		fund.setCurrentPrice(50);
		DividendStock appl = (DividendStock)portofolio[3];
		appl.setCurrentPrice(1000);
		appl.payDividends(0.5);
		

		double totalValue = 0;
		double totalProfit = 0;
		for (int i = 0; i < 4; i ++){
			System.out.println(portofolio[i]);
			totalValue += portofolio[i].getMarketValue();
			totalProfit += portofolio[i].getProfit();
		}
		System.out.println("Total Value = "+totalValue);
		System.out.println("Total profit = "+totalProfit);
	}
}